import requests
import os

#TODO logging
#TODO capo
#TODO Error checking
#TODO Validation

# Example HTTP requests
# wget -O - http://ngas-alpha.aoc.nrao.edu:7777/STATUS
# wget -O - http://ngas-alpha.aoc.nrao.edu:7777/ARCHIVE?filename=file:///users/rlively/ngas/Scan.xml
# wget -O - http://ngas-alpha.aoc.nrao.edu:7777/STATUS?file_id=Scan.xml

NGASHOST = 'http://ngas-alpha.aoc.nrao.edu:7777/'
archivecommand = {'status': 'STATUS', 'archive': 'ARCHIVE', 'retrieve': 'RETRIEVE'}

def ngasstatus():
    response = requests.get(NGASHOST + archivecommand['status'])
    return response


def archivefile(path):
    print('archive request: ' + NGASHOST + archivecommand['archive'] + '?filename=file://' + path)
    response = requests.get(NGASHOST + archivecommand['archive'] + '?filename=file://' + path)
    return response


def retrievefile(fileid):
    print(NGASHOST + archivecommand['retrieve'] + '?' + 'file_id=' + fileid)
    response = requests.get(NGASHOST + archivecommand['retrieve'] + '?' + 'file_id=' + fileid)
    return response
